Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.impl
Class AbstractNamespaceManager

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.impl.AbstractNamespaceManager

All Implemented Interfaces:
  edu.stanford.smi.protege.model.Localizable, NamespaceManager, NamespaceMap, Serializable

Direct Known Subclasses:
  ImportingOwlNamespaceManager, OWLNamespaceManager

    public abstract class AbstractNamespaceManager

extends Object
implements NamespaceManager, Serializable, edu.stanford.smi.protege.model.Localizable

See Also:
  Serialized Form

Field Summary
`static String` | `DEFAULT_NAMESPACE_PREFIX`
`static String` | `DEFAULT_PREFIX_START`

Constructor Summary
`AbstractNamespaceManager()`

Method Summary
`void` | `addImport(TripleStore imported)`
`void` | `addNamespaceManagerListener(NamespaceManagerListener listener)`
`String` | `getDefaultNamespace()`
`String` | `getNextAvailablePrefixName()`
`static boolean` | `isValidPrefix(String prefix)`
`void` | `localize(edu.stanford.smi.protege.model.KnowledgeBase kb)`
`void` | `removeNamespaceManagerListener(NamespaceManagerListener listener)`
`void` | `setDefaultNamespace(String value)`
`void` | `setDefaultNamespace(URI uri)`
`void` | `setPrefix(URI namespace, String prefix)`
`protected void` | `tellNamespaceChanged(String prefix, String oldNamespace, String newNamespace)`
`protected void` | `tellPrefixChanged(String namespace, String oldPrefix, String newPrefix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.NamespaceManager
`isModifiable, setModifiable`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.NamespaceMap
`getNamespaceForPrefix, getPrefix, getPrefixes, removePrefix, setPrefix`

Field Detail

### DEFAULT_PREFIX_START

    public static final String DEFAULT_PREFIX_START

See Also:
  Constant Field Values

### DEFAULT_NAMESPACE_PREFIX

    public static final String DEFAULT_NAMESPACE_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### AbstractNamespaceManager

    public AbstractNamespaceManager()

Method Detail

### getNextAvailablePrefixName

    public String getNextAvailablePrefixName()

### isValidPrefix

    public static boolean isValidPrefix(String prefix)

### getDefaultNamespace

    public String getDefaultNamespace()

  Specified by:
    `getDefaultNamespace` in interface `NamespaceMap`

### setDefaultNamespace

    public void setDefaultNamespace(String value)

  Specified by:
    `setDefaultNamespace` in interface `NamespaceMap`

### setDefaultNamespace

    public void setDefaultNamespace(URI uri)

  Specified by:
    `setDefaultNamespace` in interface `NamespaceMap`

### setPrefix

    public void setPrefix(URI namespace,
                          String prefix)

  Specified by:
    `setPrefix` in interface `NamespaceMap`

### addImport

    public void addImport(TripleStore imported)

  Specified by:
    `addImport` in interface `NamespaceManager`

### addNamespaceManagerListener

    public void addNamespaceManagerListener(NamespaceManagerListener listener)

  Specified by:
    `addNamespaceManagerListener` in interface `NamespaceManager`

### removeNamespaceManagerListener

    public void removeNamespaceManagerListener(NamespaceManagerListener listener)

  Specified by:
    `removeNamespaceManagerListener` in interface `NamespaceManager`

### tellNamespaceChanged

    protected void tellNamespaceChanged(String prefix,
                                        String oldNamespace,
                                        String newNamespace)

### tellPrefixChanged

    protected void tellPrefixChanged(String namespace,
                                     String oldPrefix,
                                     String newPrefix)

### localize

    public void localize(edu.stanford.smi.protege.model.KnowledgeBase kb)

  Specified by:
    `localize` in interface `edu.stanford.smi.protege.model.Localizable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.